Subject: (NAT) RE: (mobile-ip) chicken-and-egg

From: "Casati, Alessio (Alessio)" <[email-masked]>
Date: Mon, 22 Mar 1999 02:06:38 -0000

Hi Tay,

I'd like to add two cents

> ----------
> 
> At the NAT WG meeting on Friday, there was a remark 
> that MobileIP was overtaken by events in the last three years,
> that mobile users had no need for permanent globally unique home
> addresses.
> (My apologies for the paraphrasing.)
> I think this judgement may be premature.
> 
I think it does not take into account that Mobile IP has
been evolving itself:). I believe that some of the folks
did not have an up to date picture of the current trends in MIP
when talking about it while commenting on RAT.

> It is true that there are, currently, almost no mobile applications
> that require such addresses, but the reason may simply be that
> there is now almost no deployment of mobility support through such
> addresses.
> RAT's primary objective is to break this chicken-and-egg trap
> by easing deployment through light-weight mobile clients ---
> no tunneling, no location detection, no stack change.
> 
I believe that the argument of lack of client support
is of business nature. As soon as CDMA nets based on MIP
will be used I want to believe that a number of clients
will show up (I personally would suggest companies
interested in road warriors business and in mobile
Internet services to seize the MIP stuff now). 
Anyway, I believe there's no egg. We'll have
the chicken from the beginning. If it won't be like this,
then it's likely that other solutions will be used, based
on the same kind of concepts (it will take more time, though,
and this is not what I'd like).  

> If, after there is infrastructural deployment to support mobile clients
> through permanent addresses, new mobile applications remain non-reliant
> on this support, then only we know that these addresses are not needed.
> 
Tay, Mobile IP will be mainly used with dynamic addresses
that will not change during the duration of a MIP session.
those addresses may be public or private, depending on the
selected service.

> Well, maybe.  After all, the Internet had to wait a long time for the Web.
> 
That's why since then we want to save time and now we want to
quickly enable advanced mobile services.

thanks for this discussion on MIP clients.

alessio

-
To unsubscribe, email [email-masked]' with
'unsubscribe nat' in the body of the message.